eio_nready
eio_nthreads
Eio Functions
PHP Manual

# eio_nreqs

Returns number of requests to be processed

### Description

int eio_nreqs ( void )

eio_nreqs could be called in a custom loop calling eio_poll.

### Parameters

This function has no parameters.

### Return Values

eio_nreqs returns number of requests to be processed.

### Examples

Example #1 eio_nreqs example

`<?php
function res_cb($data, $result) {
var_dump($data);
var_dump($result);
}
eio_nop(EIO_PRI_DEFAULT, "res_cb", "1");
eio_nop(EIO_PRI_DEFAULT, "res_cb", "2");
eio_nop(EIO_PRI_DEFAULT, "res_cb", "3");
while (eio_nreqs()) {
eio_poll();
}
?>`

The above example will output something similar to:

    string(1) "1"
    int(0)
    string(1) "3"
    int(0)
    string(1) "2"
    int(0)

### See Also

- eio_poll
- eio_nready